import request from "@/plugins/request";
import { cacheLoginResult } from "@/utils/auth";
import { getUserInfoHttp } from "@api/user";

/**
 * @description 登录
 */
export const loginHttp = (data: LoginModel) => {
  return request
    .post<LoginModel, LoginResult>("/api/auth/login/admin", data, {
      noAuth: true,
    })
    .then(cacheLoginResult)
    .then((response) => (getUserInfoHttp(true), response));
};

/**
 * @description 退出登录
 */

export const loginOutHttp = () => {
  return request.post("/api/auth/logout", null, { noToast: true });
};
