import request from "@/plugins/request";

/**
 * @description 查询学校列表
 */
export const getSchoolListHttp = (data: FetchSchoolListQuery) => {
  return request.post<FetchSchoolListQuery, MultiplePageData<SchoolListInfo>>(
    "/api/school/page",
    data
  );
};

/**
 * @description 新增/修改学校信息
 */
export const editSchoolInfoHttp = (data: BaseSchoolInfo) => {
  return request.post<BaseSchoolInfo, null>("/api/school/save", data);
};

/**
 * @description 启用/禁用学校
 */
export const updateSchoolStatusHttp = (data: {
  enable: boolean;
  ids: number[];
}) => {
  return request.post<unknown, null>("/api/school/toggle", data);
};
